• progeCAD in French Language
  • progeCAD in Spanish Language
  • progeCAD in English Language

(ssadd)

(ssadd)

(ssadd [entity-name [selection-set]])


Add it to the selection set.


This function adds entity entity-name to selection-set or creates a new selection set (when ssadd is used without arguments). The ssadd function works in one of the three ways below:

Code Result
(ssadd) A new selection set is created with no entitys.
(ssadd entity-name) A new selection set is created containing entity-name as the only entity.
(ssadd entity-name selection-set) Adds the entity, entity-name, to an existing selection set, selection-set.

The new or revised selection set name is returned in a format similar to the following:

<Selection set: 26146268>

progeCAD can have more than one selection set open at a time.

Examples

Code Comments
(setq sset1 (ssadd)) Creates a new selection set called sset1.
(setq ent1 (car (entsel))) Prompts the user to select the entity to set to ent1
(ssadd ent1 sset1) Adds ent1 to sset1.
(setq ent2 (entlast)) Returns last entity in drawing; sets it to ent2.
(ssadd ent2 sset1) Adds ent2 to sset1.

(entlast)

(entsel [prompt])

(ssdel entity-name selection-set)

(ssget [mode] [point1 [point2]] [point-list] [filter-list])

(setq symbol1 statement1 [symbol2 statement2] ...)

LISP Compatibility

Programming Overview of LISP (LISt Processing) Language

 
DWG is the native file format for Autodesk AutoCAD®. Autodesk and AutoCAD are registered trademarks or trademarks of Autodesk, Inc. in the USA and/or other countries. progeSOFT and progeCAD are registered trademarks or trademarks of progeCAD s.r.l. in the USA and/or other countries.